(function ($) {
    'use strict';
    $(document).ready(function () {

	var vpc_mva_show_views = $('#vpc-multi-container input:checked').val();
	vpc_mva_show_or_hide_views_container(vpc_mva_show_views);

	/**
	 * show/hide views columns when multiview is enabled or not
	 * @param {type} views
	 * @return avoid
	 */
	function show_or_hide_view_and_image_colums(views) {
	    var modal_table = $('.omodal-content table.striped.table-fixed-layout.widefat.repeatable-fields-table');
	    modal_table.each(function () {
		if (typeof views !== 'undefined' && views !== "Yes") {
		    $(this).addClass('normal_views');
		    $(this).removeClass('multi_views');
		} else {
		    $(this).addClass('multi_views');
		    $(this).removeClass('normal_views');
		}
	    });

	}

	/**
	 * show/hide views fields when multiview is enabled or not
	 * @param {type} show_views
	 * @returns avoid
	 */
	function vpc_mva_show_or_hide_views_container(vpc_mva_show_views) {
	    var default_view_col = $('.vpc-component-focus').parent().index();
	    default_view_col = default_view_col + 1;
	    if (typeof vpc_mva_show_views !== 'undefined' && vpc_mva_show_views !== "Yes") {
		$('.viewsNames').parent().parent().hide();
		$('#vpc-config-components-table').addClass('multi_Default_view');
	    } else {
		$('.viewsNames').parent().parent().show();
		$('#vpc-config-components-table').removeClass('multi_Default_view');
	    }
	}

	/***
	 * 
	 * get multiview option value
	 */

	$(document).on("change", "#vpc-multi-container input", function () {
	    vpc_mva_show_views = $(this).val();
	    show_or_hide_view_and_image_colums($(this).val());
	    vpc_mva_show_or_hide_views_container($(this).val());
	});

	/*
	 *  show notice when views field is updated
	 * 
	 */

	$('.viewsNames').parent().parent().find('.o-desc').after('<div class="views_notices"></div>');
	$('.viewsNames').bind('input propertychange', function () {
	    $('.views_notices').html(view_notice);
	});

	/*
	 * 
	 * display columns when  a new option row is added
	 * 
	 */
	$(document).on('click', '.omodal-body .add-rf-row,.o-modal-trigger', function () {
	    setTimeout(function () {
		show_or_hide_view_and_image_colums(vpc_mva_show_views);
	    }, 5);
	});

	/*
	 * 
	 * display columns depending on behavior value 
	 * 
	 */

	$(document).on('change', '.vpc-behaviour', function () {
	    setTimeout(function () {
		show_or_hide_view_and_image_colums(vpc_mva_show_views);
	    }, 5);
	});

	/*****
	 * 
	 * Set option name on new row
	 */
	$(document).on('click', '.o-modal .table-fixed-layout tbody tr td .add-rf-row', function () {
	    var par = $(this).parent().parent().parent().parent().parent().parent().parent().parent().parent().parent().index();
	    var child = $(this).parent().parent().index();
	    var replacement = "vpc-config[components][" + par + "][options][" + child + "]";
	    $(this).prev().children().each(function (index, a) {
		if (index === 1) {
		    setTimeout(function () {
			$($(a).find("tr")).find(":input[name*='[options]']").each(function (i2, e2)
			{
			    var new_name = this.name.replace(/vpc-config\[components\]\[\d+\]\[options\]\[\d+\]/, replacement);
			    $(this).attr("name", new_name);
			});
		    }, 1000);
		}
	    })
	});
    });

})(jQuery);
