(function ($) {
  'use strict';
  $(document).ready(function () {

    if (typeof vpc !== 'undefined') {
      /*
      *  preview builder process
      *
      */
            if (wp.hooks.addAction.length === 3 ) {
                wp.hooks.addFilter('vpc.default_preview_builder_process','vpc-mva-js', set_default_preview_buider_process);
                wp.hooks.addAction('vpc.default_preview_builder_process','vpc-mva-js',build_preview);
                wp.hooks.addAction('vpc.ajax_loading_complete','vpc-mva-js',build_preview_in_ajax_mode);
            } else{
                wp.hooks.addFilter('vpc.default_preview_builder_process', set_default_preview_buider_process);
                wp.hooks.addAction('vpc.default_preview_builder_process',build_preview);
                wp.hooks.addAction('vpc.ajax_loading_complete',build_preview_in_ajax_mode);
            }


     function set_default_preview_buider_process(status){
        if (vpc.views)
          return false;
        else
          return true;
        }

      /*
      * buid preview
      *
      */
        function build_preview(items_selected){
        if (typeof active_views != "undefined")
                  get_finish_image_by_view(items_selected);
        }

      /*
      * buid preview in ajax mode
      *
      */
     function build_preview_in_ajax_mode(){
var items = vpc.vpc_selected_items_selector;
        setTimeout(function () {
          if (typeof active_views != "undefined") {
            get_finish_image_by_view(items);
          }
          vpc_mva_get_preview_height();
        }, 2000);
}
      /**
      *
      * load slide
      */
      var should_process = wp.hooks.applyFilters('vpc_mva.create_vpc_preview_zone', true);

      if (should_process) {
        window.vpc_mva_slider = $('.bxslider').bxSlider({
          pagerCustom: '#mva-bx-pager',
          speed: 200,
          infiniteLoop: false,
          adaptiveHeight: true,
          touchEnabled: false,
          preventDefaultSwipeY: false,
          preventDefaultSwipeX: false,
          controls: false,
          autoControls: false,
          onSlideBefore: function( $slideElement ) {
              $("#mva-bx-pager").addClass("mva-pager-disabled");
          },
          onSlideAfter: function( $slideElement ) {
              setTimeout(function() {
                  $("#mva-bx-pager").removeClass("mva-pager-disabled");
              }, 100)
          }
        });
      } else {
        wp.hooks.doAction('vpc_mva.create_vpc_preview_zone', active_views);
      }
    }


    /*
    *
    */

    $('a.pager-prev').click(function () {
      var current = slider.getCurrentSlide();
      slider.goToPrevSlide(current) - 1;
    });

    $('a.pager-next').click(function () {
      var current = slider.getCurrentSlide();
      slider.goToNextSlide(current) + 1;
    });

    var current_imgs_by_view;
    function get_finish_image_by_view(items) {
      var decoded_active_views = JSON.parse(active_views);
      var imgs_by_view = [];
      var recap = $('#vpc-container').find(':input').serializeJSON();

      var process = wp.hooks.applyFilters('vpc_mva.get_finish_image_by_view', true);
      if (process) {
        $.each(decoded_active_views, function (index, value) {
          var items_view_selected = [];
          var id = "#vpc-preview" + index;
          $('.vpc-preview').not('.bx-clone').find(id).html("");
          wp.hooks.doAction('vpc.before_multiview_preview_builder', index, value);
          var i = 0;
          $(items).each(function () {
            if ($(this).attr("data-" + value)) {
              var component_id = $(this).attr('data-component-id');
              if ($(this).data("img-alt") != "" && $(this).data("img-alt") != 'undefined') {
                var alt = $(this).data("img-alt");
              } else {
                var alt = $(this).val() + " image";
              }
              var add_img_to_preview_process = wp.hooks.applyFilters('vpc.add_img_to_preview_process', true);
              if (add_img_to_preview_process) {
                $('.vpc-preview').not('.bx-clone').find(id).append("<img src='" + $(this).attr("data-" + value) + "' alt='" + alt + "' style='z-index:" + $(this).attr("data-index") + "' data-component-id = '" + component_id + "'>");
                items_view_selected.push($(this).attr("data-" + value));
              } else {
                i++
                wp.hooks.doAction('vpc.add_img_to_preview_process', i, src, $(this), index, value);
              }

            }
          });
          var items_view = [index, items_view_selected];
          imgs_by_view.push(items_view);
        });
        current_imgs_by_view = imgs_by_view;
        var base_price = 0;
        if ($("#vpc-add-to-cart").length)
          base_price = $("#vpc-add-to-cart").data("price");

        if (vpc.decimal_separator = ',')
          var price = parseFloat(base_price.toString().replace(',', '.'));
        else
          var price = parseFloat(base_price);
        if (!price)
          price = 0;
        var form_data = $('form.formbuilt').serializeJSON();
        var form_price = get_form_total('form.formbuilt', form_data);
        $(vpc.vpc_selected_items_selector).each(function () {
          var option_price = $(this).data("price");
          if (option_price)
            price += parseFloat(option_price);
        });
        price += form_price;
        price = wp.hooks.applyFilters('vpc.total_price', price);
        var vpc_qty = $('#vpc-qty').val();
        price *= vpc_qty;
        $("#vpc-price").html(accounting.formatMoney(price));
        wp.hooks.doAction('vpc_mva.after_preview_builder', items, price);
      } else {
        wp.hooks.doAction('vpc_mva.get_finish_image_by_view', items);
      }
    }
    
 if (typeof vpc !== 'undefined'){
if(wp.hooks.addAction.length === 3 ) 
      wp.hooks.addAction('vpc.option_change', 'vpc-mva-js', get_option_change_event);
else
wp.hooks.addAction('vpc.option_change', get_option_change_event);
    }

  function get_option_change_event(elt, e){
  vpc_mva_get_preview_height();
  }


    $(window).load(function () {
      vpc_mva_get_preview_height();
    });

    function vpc_mva_get_preview_height() {
      setTimeout(function () {
        var maxHeight = Math.max.apply(null, $(".bx-viewport .vpc-preview ").map(function () {
          return $(this).height();
        }).get());
        $('.bx-viewport').css({ height: maxHeight });

      }, 200);
    }

    if (typeof active_views != "undefined") {
      $(document).on("click", ".vpc-component", function (e) {
        var view_to_focus = $(this).data('component-focus');
        if(view_to_focus !==""){
          var current_view = parseInt($('#mva-bx-pager').find('.bx-pager a.bx-pager-link.active').data('view'));
          if(Number.isInteger(current_view)){
              if (view_to_focus !== current_view ) {
                $('#mva-bx-pager .bx-pager ').find("a[data-view=" + view_to_focus + "]").trigger("click");
              }
          }
        }
      });
    }

    function get_form_total(form_id, fields) {
      var total_price = 0;
      $(form_id).find('[name]').each(function (index, value) {
        var that = $(this),
          name = that.attr('name'),
          type = that.prop('type');
        if (type == 'select-one') {
          $(that).find('[value]').each(function (index, value) {
            var option = $(this);
            var price = option.attr('data-price');
            var value = option.attr('value');
            for (var i in fields) {
              if (name == i && value == fields[i]) {
                if (undefined !== price && '' !== price) {

                  total_price += parseFloat(price);
                }
              }
            }
          });
        } else if (type == 'radio') {
          var price = that.attr('data-price');
          for (var i in fields) {
            if (name == i) {
              if (typeof (fields[i]) == 'object') {
                var options = fields[i];
                for (var j in options) {
                  if (value.value == options[j]) {
                    if (undefined !== price && '' !== price) {
                      total_price += parseFloat(price);
                      // console.log(total_price);
                    }
                  }
                }
              } else {
                if (value.value == fields[i]) {
                  if (undefined !== price && '' !== price) {
                    total_price += parseFloat(price);
                    // console.log(total_price);
                  }
                }
              }
            }
          }
        } else if (type == 'checkbox') {
          var price = that.attr('data-price');
          for (var i in fields) {
            if (name == i + '[]') {
              if (typeof (fields[i]) == 'object') {
                var options = fields[i];
                for (var j in options) {
                  if (value.value == options[j]) {
                    if (undefined !== price && '' !== price) {
                      total_price += parseFloat(price);
                      // console.log(total_price);
                    }
                  }
                }
              } else {
                if (value.value == fields[i]) {
                  if (undefined !== price && '' !== price) {
                    total_price += parseFloat(price);
                    // console.log(total_price);
                  }
                }
              }
            } else {
              if (value.value == fields[i]) {
                if (undefined !== price && '' !== price) {
                  total_price += parseFloat(price);
                  // console.log(total_price);
                }
              }
            }
          }
        } else if (type == 'file') {
          var price = that.attr('data-price');
          var file = that.prop('files');
          var files = get_files_in_ofb();
          if (file[0]) {
            for (var i in files) {
              if (name == i) {
                if (undefined !== price && '' !== price) {
                  total_price += parseFloat(price);
                  // console.log(total_price);
                }
              }
            }
          }
        } else {
          var price = that.attr('data-price');
          var value = that.val();
          if (value.length > 0) {
            for (var i in fields) {
              if (name == i) {
                if (undefined !== price && '' !== price) {
                  total_price += parseFloat(price);
                  // console.log(total_price);
                }
              }
            }
          }
        }

      });
      return total_price;
    }

  });

})(jQuery);